Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JSpinnerOperator.SpinnerModelException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.netbeans.jemmy.JemmyException
                              |
                              +--org.netbeans.jemmy.operators.JSpinnerOperator.SpinnerModelException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  JSpinnerOperator

public static class JSpinnerOperator.SpinnerModelException
extends JemmyException

Exception is thown whenever spinner model is threated wrong.

See Also:
  Serialized Form

Constructor Summary
`JSpinnerOperator.SpinnerModelException(java.lang.String message, java.awt.Component comp)` Constructs a `SpinnerModelException` object.

Methods inherited from class org.netbeans.jemmy.JemmyException
`getInnerException, getInnerThrowable, getObject, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSpinnerOperator.SpinnerModelException

    public JSpinnerOperator.SpinnerModelException(java.lang.String message,
                                                  java.awt.Component comp)

  Constructs a `SpinnerModelException` object.
  Parameters:
    `message` - error message.
    `comp` - a spinner which model cased the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD